## org.codehaus.groovy.ast
Class MixinASTTransformation

    java.lang.Object
      org.codehaus.groovy.ast.MixinASTTransformation

All Implemented Interfaces:
  ASTTransformation

    public class MixinASTTransformation

extends Object
implements ASTTransformation

Constructor Summary
`MixinASTTransformation()`

Method Summary
`void` `visit(ASTNode[] nodes, SourceUnit source)` The call made when the compiler encounters an AST Transformation Annotation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixinASTTransformation

    public MixinASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes,
                      SourceUnit source)

  Description copied from interface: `ASTTransformation`
  The call made when the compiler encounters an AST Transformation Annotation

  Specified by:
    `visit` in interface `ASTTransformation`
  Parameters:
    `nodes` - The ASTnodes when the call was triggered
    `source` - The source unit being compiled

Copyright © 2003-2009 The Codehaus. All rights reserved.